> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Create Communication: Funnel

POST https://api.propexo.com/crm/v1/communications/funnel/
Content-Type: application/json

Create Communication: Funnel

Reference: https://docs.propexo.com/api-reference/funnel/appointments/create-communication-funnel

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Body (application/json)

This endpoint expects a _crm_v1_communications_funnel__post_input.

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `community_id` (string, required) — The Propexo unique identifier for the community
- `prospect_id` (string, required) — The Propexo unique identifier for the prospect
- `communication_type` (enum, required)
  - Allowed values: `EMAIL`, `SMS`
- `communication_direction` (enum, required) — The direction of the communication
  - Allowed values: `INCOMING`, `OUTGOING`
- `message_subject` (string, required) — The subject of the message
- `message_body` (string, required) — The body of the message
- `to_addresses` (list of string, required) — The address(es) the communication will be sent to
- `from_address` (string, required) — The address the communication will be sent from

## Response

### 200

Successful response

- `meta` (CrmV1CommunicationsFunnelPostOutputMeta, required)
- `result` (CrmV1CommunicationsFunnelPostOutputResult, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### CrmV1CommunicationsFunnelPostOutputMeta

- `job_id` (string, required)

### CrmV1CommunicationsFunnelPostOutputResult

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `community_id` (string, required) — The Propexo unique identifier for the community
- `prospect_id` (string, required) — The Propexo unique identifier for the prospect
- `communication_type` (enum, required)
  - Allowed values: `EMAIL`, `SMS`
- `communication_direction` (enum, required) — The direction of the communication
  - Allowed values: `INCOMING`, `OUTGOING`
- `message_subject` (string, required) — The subject of the message
- `message_body` (string, required) — The body of the message
- `to_addresses` (list of string, required)
- `from_address` (string, required) — The address the communication will be sent from

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

## Examples

**Request**

```json
{
  "integration_id": "int-987654321",
  "community_id": "comm-123456789",
  "prospect_id": "prospect-456789123",
  "communication_type": "EMAIL",
  "communication_direction": "INCOMING",
  "message_subject": "Inquiry about apartment availability",
  "message_body": "Hello, I would like to know if the two-bedroom apartment is still available for viewing next week.",
  "to_addresses": [
    "leasing@propexo.com"
  ],
  "from_address": "jane.doe@example.com"
}
```

**Response**

```json
{
  "meta": {
    "job_id": "job-20240615-001"
  },
  "result": {
    "integration_id": "int-987654321",
    "community_id": "comm-123456789",
    "prospect_id": "prospect-456789123",
    "communication_type": "EMAIL",
    "communication_direction": "INCOMING",
    "message_subject": "Inquiry about apartment availability",
    "message_body": "Hello, I would like to know if the two-bedroom apartment is still available for viewing next week.",
    "to_addresses": [
      "leasing@propexo.com"
    ],
    "from_address": "jane.doe@example.com"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/crm/v1/communications/funnel/"

payload = {
    "integration_id": "int-987654321",
    "community_id": "comm-123456789",
    "prospect_id": "prospect-456789123",
    "communication_type": "EMAIL",
    "communication_direction": "INCOMING",
    "message_subject": "Inquiry about apartment availability",
    "message_body": "Hello, I would like to know if the two-bedroom apartment is still available for viewing next week.",
    "to_addresses": ["leasing@propexo.com"],
    "from_address": "jane.doe@example.com"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/crm/v1/communications/funnel/';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"integration_id":"int-987654321","community_id":"comm-123456789","prospect_id":"prospect-456789123","communication_type":"EMAIL","communication_direction":"INCOMING","message_subject":"Inquiry about apartment availability","message_body":"Hello, I would like to know if the two-bedroom apartment is still available for viewing next week.","to_addresses":["leasing@propexo.com"],"from_address":"jane.doe@example.com"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/crm/v1/communications/funnel/"

	payload := strings.NewReader("{\n  \"integration_id\": \"int-987654321\",\n  \"community_id\": \"comm-123456789\",\n  \"prospect_id\": \"prospect-456789123\",\n  \"communication_type\": \"EMAIL\",\n  \"communication_direction\": \"INCOMING\",\n  \"message_subject\": \"Inquiry about apartment availability\",\n  \"message_body\": \"Hello, I would like to know if the two-bedroom apartment is still available for viewing next week.\",\n  \"to_addresses\": [\n    \"leasing@propexo.com\"\n  ],\n  \"from_address\": \"jane.doe@example.com\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/crm/v1/communications/funnel/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"integration_id\": \"int-987654321\",\n  \"community_id\": \"comm-123456789\",\n  \"prospect_id\": \"prospect-456789123\",\n  \"communication_type\": \"EMAIL\",\n  \"communication_direction\": \"INCOMING\",\n  \"message_subject\": \"Inquiry about apartment availability\",\n  \"message_body\": \"Hello, I would like to know if the two-bedroom apartment is still available for viewing next week.\",\n  \"to_addresses\": [\n    \"leasing@propexo.com\"\n  ],\n  \"from_address\": \"jane.doe@example.com\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.propexo.com/crm/v1/communications/funnel/")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"integration_id\": \"int-987654321\",\n  \"community_id\": \"comm-123456789\",\n  \"prospect_id\": \"prospect-456789123\",\n  \"communication_type\": \"EMAIL\",\n  \"communication_direction\": \"INCOMING\",\n  \"message_subject\": \"Inquiry about apartment availability\",\n  \"message_body\": \"Hello, I would like to know if the two-bedroom apartment is still available for viewing next week.\",\n  \"to_addresses\": [\n    \"leasing@propexo.com\"\n  ],\n  \"from_address\": \"jane.doe@example.com\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.propexo.com/crm/v1/communications/funnel/', [
  'body' => '{
  "integration_id": "int-987654321",
  "community_id": "comm-123456789",
  "prospect_id": "prospect-456789123",
  "communication_type": "EMAIL",
  "communication_direction": "INCOMING",
  "message_subject": "Inquiry about apartment availability",
  "message_body": "Hello, I would like to know if the two-bedroom apartment is still available for viewing next week.",
  "to_addresses": [
    "leasing@propexo.com"
  ],
  "from_address": "jane.doe@example.com"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/crm/v1/communications/funnel/");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"integration_id\": \"int-987654321\",\n  \"community_id\": \"comm-123456789\",\n  \"prospect_id\": \"prospect-456789123\",\n  \"communication_type\": \"EMAIL\",\n  \"communication_direction\": \"INCOMING\",\n  \"message_subject\": \"Inquiry about apartment availability\",\n  \"message_body\": \"Hello, I would like to know if the two-bedroom apartment is still available for viewing next week.\",\n  \"to_addresses\": [\n    \"leasing@propexo.com\"\n  ],\n  \"from_address\": \"jane.doe@example.com\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "integration_id": "int-987654321",
  "community_id": "comm-123456789",
  "prospect_id": "prospect-456789123",
  "communication_type": "EMAIL",
  "communication_direction": "INCOMING",
  "message_subject": "Inquiry about apartment availability",
  "message_body": "Hello, I would like to know if the two-bedroom apartment is still available for viewing next week.",
  "to_addresses": ["leasing@propexo.com"],
  "from_address": "jane.doe@example.com"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/crm/v1/communications/funnel/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```